### Function Macro

# GLib array_prepend_val

#### Declaration

    #define g_array_prepend_val (
      a,
      v
    )

#### Description

Adds the value on to the start of the array. The array will grow in size automatically if necessary.

This operation is slower than `g_array_append_val()` since the existing elements in the array have to be moved to make space for the new element.

`g_array_prepend_val()` is a macro which uses a reference to the value parameter `v`. This means that you cannot use it with literal values such as “27”. You must use variables.

This function is not directly available to language bindings.

#### Parameters

`a`

  Type: `-`

  A `GArray`.

`v`

  Type: `-`

  The value to prepend to the `GArray`.